{% extends "templates/admin/base.html" %}

{% block title %}
Pages
{% endblock %}

{% block content %}
{{ anti-forgery-field }}

{% ifequal status "deleted"%}
<div class="row">
    <div class="col-md-12">
        <div class="alert alert-success alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <h5><i class="icon fas fa-check"></i> Success!</h5>
            Data has been deleted successfully.
        </div>
    </div>
</div>
{% endifequal %}

<div class="row">

    {% if pages|empty? %}
    <div class="col-md-12">
        <div class="card card-default">
            <div class="card-header">
                <h3 class="card-title">
                    <i class="fas fa-bullhorn"></i>
                </h3>
                <div class="card-tools">
                    <a href="/admin/page" class="btn btn-block btn-primary">Create new</a>
                </div>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
                <div class="callout callout-info">
                    <h5>Hello there!</h5>
                    <p>Seems this content doesn't exist. Please create new one.</p>
                </div>
            </div>
        </div>
        <!-- /.card -->
    </div>
    {% else %}
    <div class="col-md-12">
        <div class="card">

            <div class="card-body p-0">

                <table class="table">
                    <thead>
                    <tr>
                        <th>Name</th>
                        <th>Logo</th>
                        <th style="width: 200px"></th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for company in companies %}
                    <tr>
                        <td>{{company.name}}</td>
                        <td>{% image company company-logo%}</td>
                        <td>
                            <div class="btn-group">
                                <a href="/admin/company/{{company.id}}" class="btn btn-success">Update</a>
                                <a href="/admin/company/{{company.id}}" onclick="return executeDelete(this)"
                                   class="btn btn-danger">Delete</a>
                            </div>
                        </td>
                    </tr>
                    </tbody>
                    {% endfor %}
                </table>

            </div>
            <div class="card-footer clearfix">
                <div class="float-left">
                    <a href="/admin/company" class="btn btn-block btn-primary">Create new</a>
                </div>
                <ul class="pagination pagination-sm m-0 float-right" style="padding-right:25px">
                    <li class="page-item"><a class="page-link" href="#">«</a></li>
                    <li class="page-item"><a class="page-link" href="#">1</a></li>
                    <li class="page-item"><a class="page-link" href="#">2</a></li>
                    <li class="page-item"><a class="page-link" href="#">3</a></li>
                    <li class="page-item"><a class="page-link" href="#">»</a></li>
                </ul>
            </div>
            <!-- /.card-body -->
        </div>
    </div>
    {% endif %}
</div>
{% endblock %}